// EC_Command.cpp,v 1.6 2000/01/31 04:25:58 coryan Exp

#ifndef TAO_EC_COMMAND_CPP
#define TAO_EC_COMMAND_CPP

#include "EC_Command.h"

#if ! defined (__ACE_INLINE__)
#include "EC_Command.i"
#endif /* __ACE_INLINE__ */

ACE_RCSID(Event, EC_Command, "EC_Command.cpp,v 1.6 2000/01/31 04:25:58 coryan Exp")

template<class Target, class Object> int
TAO_EC_Connected_Command<Target,Object>::execute (void* arg)
{
  CORBA::Environment *env = &TAO_default_environment ();
  if (arg != 0)
    env = ACE_static_cast(CORBA::Environment*, arg);

  this->target_->connected_i (this->object_, *env);
  return 0;
}

// ****************************************************************

template<class Target, class Object> int
TAO_EC_Reconnected_Command<Target,Object>::execute (void* arg)
{
  CORBA::Environment *env = &TAO_default_environment ();
  if (arg != 0)
    env = ACE_static_cast(CORBA::Environment*, arg);

  this->target_->reconnected_i (this->object_, *env);
  return 0;
}

// ****************************************************************

template<class Target, class Object> int
TAO_EC_Disconnected_Command<Target,Object>::execute (void* arg)
{
  CORBA::Environment *env = &TAO_default_environment ();
  if (arg != 0)
    env = ACE_static_cast(CORBA::Environment*, arg);

  this->target_->disconnected_i (this->object_, *env);
  return 0;
}

// ****************************************************************

template<class Target> int
TAO_EC_Shutdown_Command<Target>::execute (void* arg)
{
  CORBA::Environment *env = &TAO_default_environment ();
  if (arg != 0)
    env = ACE_static_cast(CORBA::Environment*, arg);

  this->target_->shutdown_i (*env);
  return 0;
}

#endif /* TAO_EC_COMMAND_CPP */
